;----------------------------------------------------------------
; This is a Sol Cycle for the PANTHER MSD
;----------------------------------------------------------------
; 24 Volts
Solenoid MSsampOUT		  3  103   0
Solenoid Trap1_pelt		116   16   0
Solenoid Trap2_pelt		117   17   0
; 12 Volts
Solenoid Trap1_relay    122   22   0
Solenoid Trap2_relay    123   23   0

; Trap1_heat and Trap2_heat are controlled in the digital.tmc file via the MSDstate variable.
Solenoid Trap1_heat		120   20   0
Solenoid Trap2_heat		121   21   0

; values of 'o' and 't' are for "Trap1_heat" and "Trap2_heat"
; the panther.tma file looks for these values to pulse the heaters
; change the MSDstate values in the chroms routines, do not add
; Trap1_heat or Trap2_heat lines to the routines.  GSD

dtoa MSDstate 0x000 { 0:0 1:1 2:2 3:3 o:4 t:5 }

; Open and closed definitions
open = 'O'		;inject,	pelt on;   fan on;  trap on
;closed = '_'	;load,		pelt off;  fan off; trap off 
; NOTE:  The previous line is commented out because the '_' is the default char 

resolution = 1/1

Routine Init {
       MSDstate: 0000
	    MSDcomm: f0_d
         msdSSV: _4__
		msdGSVs: 2___
	  MSsampOUT: ____

	 Trap1_heat: ____
	Trap1_relay: ____
	Trap1_omega: _c__
	 Trap1_pelt: ____
	    pcol1MS: aaaa
	  MS1coltmp: aaaa

	 Trap2_heat: ____
	Trap2_relay: ____
	Trap2_omega: ___c
	 Trap2_pelt: ____
	    pcol2MS: aaaa
	  MS2coltmp: aaaa^
}

; Chan 1 load, Chan 2 inject
Routine MSchrom180s_A {

       MSDstate: 12tttttttt:tttt222222:2222222222:2222222222:2222222222:2222222222::2222222222:2222222222:2222222222:2222222222:2222222222:2222222222:::2222222222:2222222222:2222222222:2222222222:2222222222:2222222222:
	    MSDcomm: __________:__________:__________:__________:______r_1_:__________::__________:__________:__________:__________:_____2____:__________:::_________3:__________:__________:__________:__________:________0_:
         msdSSV: __________:t_________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:_________2:__________:
	    msdGSVs: 2_________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:

	Trap1_relay: __________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	Trap1_omega: __________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	 Trap1_pelt: OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOO__:
	  MS1coltmp: aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa::aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:::aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:

	Trap2_relay: _OOOOOOOOO:OOOO______:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	Trap2_omega: __________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	 Trap2_pelt: OOOOOOOOOO:OOOOO_____:__________:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:
	  MS2coltmp: aaaaaaaaaa:aaaaaaaaaa:aaaaabbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb::bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:::bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:

}

; Chan 1 inject, Chan 2 load
Routine MSchrom180s_B {

       MSDstate: 12oooooooo:oooo222222:2222222222:2222222222:2222222222:2222222222::2222222222:2222222222:2222222222:2222222222:2222222222:2222222222:::2222222222:2222222222:2222222222:2222222222:2222222222:2222222222:
	    MSDcomm: __________:__________:__________:__________:______r_1_:__________::__________:__________:__________:__________:2_________:__________:::____3_____:__________:__________:__________:__________:________0_:
         msdSSV: __________:t_________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:_________2:__________:
	    msdGSVs: 1_________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:

	Trap1_relay: _OOOOOOOOO:OOOO______:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	Trap1_omega: __________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	 Trap1_pelt: OOOOOOOOOO:OOOOO_____:__________:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:
	  MS1coltmp: aaaaaaaaaa:aaaaaaaaaa:aaaaabbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb::bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:::bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:bbbbbbbbbb:

	Trap2_relay: __________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	Trap2_omega: __________:__________:__________:__________:__________:__________::__________:__________:__________:__________:__________:__________:::__________:__________:__________:__________:__________:__________:
	 Trap2_pelt: OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:::OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOOOO:OOOOOOOO__:
	  MS2coltmp: aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa::aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:::aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:aaaaaaaaaa:

}


; Safe Mode
mode 0 {
	Init
	select 5
}

; Init mode
mode 1 {
	Init
	select 5
}

; Starting run
mode 2 {
	Init
	select 8
}

; RUN mode
mode 8 {
	MSchrom180s_A
	MSchrom180s_B
}

; Start Lab mode
mode 3 {
	Init
	select 10
}

; Lab mode 1
mode 10 {
	MSchrom180s_A
	MSchrom180s_B
}

; Lab mode 2
mode 4 {   
}

; Do nothing
mode 5 {
	select 5
}

; Cal mode
mode 7 {
	Init
	select 13
}

mode 13 {
	MSchrom180s_A
	MSchrom180s_B
}


; Shutdown mode
mode 9 {
	Init
	select 5
}
